import { Request, Response } from 'express';
import { container } from 'tsyringe';
import { CreateInstitutionUseCase } from './CreateInstitutionUseCase';

class CreateInstitutionController {
    async handle(request: Request, response: Response) {
        const { name } = request.body;
        const createInstitutionUseCase = container.resolve(CreateInstitutionUseCase)

        const institution = await createInstitutionUseCase.execute({
            name
        })

        return response.status(200).json(institution)

    }
}

export { CreateInstitutionController }